## org.codehaus.groovy.reflection
Class CachedClass.IntegerCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.CachedClass.NumberCachedClass
              org.codehaus.groovy.reflection.CachedClass.IntegerCachedClass

Enclosing class:
  CachedClass

    public static class CachedClass.IntegerCachedClass

extends CachedClass.NumberCachedClass

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

`CachedClass.ArrayCachedClass, CachedClass.BigDecimalCachedClass, CachedClass.BigIntegerCachedClass, CachedClass.BooleanCachedClass, CachedClass.ByteCachedClass, CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString, CachedClass.CharacterCachedClass, CachedClass.DoubleCachedClass, CachedClass.FloatCachedClass, CachedClass.IntegerCachedClass, CachedClass.LongCachedClass, CachedClass.NumberCachedClass, CachedClass.ShortCachedClass, CachedClass.StringCachedClass`

Field Summary

Fields inherited from class org.codehaus.groovy.reflection.CachedClass
`EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

Method Summary
`Object` `coerceArgument(Object argument)`
`boolean` `isAssignableFrom(Class classToTransformFrom)`

Methods inherited from class org.codehaus.groovy.reflection.CachedClass
`box, doCast, getCachedClass, getCachedSuperClass, getConstructors, getFields, getInterfaces, getMetaClassForClass, getMethods, getModifiers, getName, getNewMetaMethods, getOwnInterfaces, getReflector, getSuperClassDistance, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setMetaClassForClass, setNewMopMethods, setStaticMetaClassField, toString, unbox`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

  Overrides:
    `coerceArgument` in class `CachedClass.NumberCachedClass`

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

  Overrides:
    `isAssignableFrom` in class `CachedClass.NumberCachedClass`

Copyright © 2003-2008 The Codehaus. All rights reserved.